Cancel Task
patch
/rest/v19/tasks/{taskId}
This endpoint cancels the specified task. This endpoint replaces the '/tasks/{taskId}/actions/cancel' endpoint, which was deprecated in Oracle CPQ 20B.
Request
Path Parameters
-
taskId(required): string
The Task ID
Root Schema : Task Cancel Request Details
Type:
objectTitle:
Task Cancel Request DetailsTask Cancel Request Details
Show Source
-
status(required):
string
Title:
Cancellation RequestAllowed Values:[ "Cancellation Requested" ]
Response
200 Response
The request was accepted.
Root Schema : task
Type:
Show Source
object-
category:
object category
-
dateAdded:
string
Title:
Date createdTask creation date -
dateModified:
string
Title:
Date Last ModifiedThe date of the last task modification -
detailStatus:
object Detail Status
Title:
Detail StatusDetail Status for entities associated with this task -
executionTime:
string
Title:
Execution timeThe time the task was executed -
files:
array File list
Title:
File listList of files associated with this task -
id:
integer
Title:
Task IDThe task ID -
links:
array links
-
name:
string
Title:
Task nameThe task name -
result:
string
Title:
Task resultThe task result -
status:
string
Title:
Status of taskTask status
Nested Schema : category
Type:
Show Source
object-
displayValue:
string
Title:
Category display type -
lookupCode:
string
Title:
Category identifier
Nested Schema : Detail Status
Type:
objectTitle:
Detail StatusDetail Status for entities associated with this task
Show Source
-
items:
array Entities Statuses
Title:
Entities StatusesStatuses for all the entities -
message:
string
Title:
High level message for task.
Nested Schema : File list
Type:
arrayTitle:
File listList of files associated with this task
Show Source
Nested Schema : links
Type:
Show Source
array-
Array of:
object reference links
Title:
reference linksReference links for the Parent, Self, Children and Related as applicable
Nested Schema : Entities Statuses
Type:
arrayTitle:
Entities StatusesStatuses for all the entities
Show Source
-
Array of:
object Entity Status
Title:
Entity StatusEntity Status
Nested Schema : Entity Status
Type:
objectTitle:
Entity StatusEntity Status
Show Source
-
entity:
string
Title:
Entity Display NameEntity Display Name -
status:
string
Title:
Entity StatusEntity Status -
summary:
array Summary
Title:
SummarySummary of message and type for entity
Nested Schema : Summary
Type:
arrayTitle:
SummarySummary of message and type for entity
Show Source
-
Array of:
object Summary Details
Title:
Summary DetailsSummary Details
Nested Schema : Summary Details
Type:
objectTitle:
Summary DetailsSummary Details
Show Source
-
level:
string
Title:
Message LevelMessage Level -
messages:
array Messages
Title:
MessagesMessages
Nested Schema : Messages
Type:
arrayTitle:
MessagesMessages
Show Source
-
Array of:
object Migration Log Message
Title:
Migration Log Message
Nested Schema : Migration Log Message
Type:
objectTitle:
Show Source
Migration Log Message-
date:
string
Title:
dateMessage log date. -
level:
string
Title:
levelMigration log level. -
levelLabel:
string
Title:
levelLabelDisplay name for migration log level. -
message:
string
Title:
messageLog message.
Nested Schema : file
Type:
Show Source
object-
name:
string
Title:
File name -
type:
string
Title:
File typeFile can be of type plain text, csv etc
Nested Schema : reference links
Type:
objectTitle:
reference linksReference links for the Parent, Self, Children and Related as applicable
Show Source
-
href:
string
Title:
URL to the related objectURL to the related object -
rel:
string
Title:
Link Relationship to the current objectDefault Value:selfLink Relationship to the current object
404 Response
The task doesn't exist or is not accessible for current user.
409 Response
The task cannot be cancelled. For example, a completed task cannot be cancelled.